Virtualbox kernel hatası

Virtualbox kurmaya çalıştım ve kurdu da .Windows xp sanal makinesi oluşturmak istedim , herşey iyiydi ama sonra başlat a bastığımda ilk

The virtual machine ‘WindowsXp’ has terminated unexpectedly during startup with exit code 1 (0x1).

Sonuç Kodu: NS_ERROR_FAILURE (0x80004005)
Bileşen: MachineWrap
Arayüz: IMachine {85632c68-b5bb-4316-a900-5eb28d3413df}

Hatası verdi . Sonrada


hatası geldi . Yardım edersrniz sevinirim

Terminalden aşağıdaki komutları çalıştırıp deneyebilir misiniz?

sudo dpkg-reconfigure virtualbox-dkms
sudo dpkg-reconfigure virtualbox
sudo modprobe vboxdrv

Not: Bios ayarlarından Secure Boot ayarını disable yaparak deneyiniz.

1 Beğeni
nacak@Pardus:~$ sudo dpkg-reconfigure virtualbox-dkms
[sudo] password for nacak: 
dpkg-query: 'virtualbox-dkms' paketi kurulu değil ve hakkında bilgi yok
Use dpkg --info (= dpkg-deb --info) to examine archive files.
/usr/sbin/dpkg-reconfigure: virtualbox-dkms kurulu değil
nacak@Pardus:~$ sudo dpkg-reconfigure virtualbox
dpkg-query: 'virtualbox' paketi kurulu değil ve hakkında bilgi yok
Use dpkg --info (= dpkg-deb --info) to examine archive files.
/usr/sbin/dpkg-reconfigure: virtualbox kurulu değil
nacak@Pardus:~$ sudo modprobe vboxdrv
modprobe: FATAL: Module vboxdrv not found in directory /lib/modules/5.10.0-0.bpo.3-amd64
nacak@Pardus:~$ 



Terminalden çalıştıralım:

sudo apt-get install build-essential linux-headers-$(uname -r) dkms 

Biosdan sanallaştırmayı açın ve secure boot disable yapın.

Bios ayarlarınızı değiştirip yeniden açınız.

sata mode -> AHCI
legacy -> enable
launch csm -> enable
uefi -> disable
fastboot -> disable
secure boot -> disable
1 Beğeni

bu biosta dediğiniz hiçbir ayar yok maalesef

Sanırım sizin sisteminiz sanallaştırmayı desteklemiyor.

Benzer bir sorunu (belki de aynısını, net hatırlayamıyorum) ben de yaşamıştım. VirtualBox’un internet sitesindeki şu sayfadan Debian 10 paketini indirip kurduğumda çözülmüştü.

Sorunun sebebini bilmiyorum ama backports deposundaki güncel çekirdeği kullanıyorum ve her çekirdek güncellemesinden sonra bunu yapmak zorunda kalıyorum.

kurarken hata veriyor maalesef

Merhaba,
Pardus orjinal çekirdek kullanıyorsanız, pardus mağazadan
vbox yükleyin.

İlk onu indirmiştim ama oda hata verdi

terminalde " uname -a " yazıp sonucunu bildirir misiniz? ekran görüntülerinizde linux çekirdeğiniz 5.10 versiyonu olarak görünüyor… Normal pardus 19.5 için şuan geçerli çekirdek 4.19.0-14-amd64 dur.

Linux Pardus 5.10.0-0.bpo.3-amd64 #1 SMP Debian 5.10.13-1~bpo10+1 (2021-02-11) x86_64 GNU/Linux

sizin çekirdek 5.10 grubu olduğu için vbox ile uyumlu değil. ek olarak 4.19.0.14 seri çekirdek yükleyip açılışta bu çekirdeği seçmelisiniz veya 5.10 çekirdeği kaldırın 5.10 çekirdeğin sizin kullanımınızı kolaylaştıracak , kısacası size sağlayacağı bir fayda yok.

Nasıl yapacağım bunu?

Çekirdek sürümünü düşürmenizi önermem. Birçok sürücü daha eski olacağı için bilgisayarınız açılamayabilir.

Debian 10 paketini kurarken aldığınız hatayı paylaşır mısınız?

Merhaba, bilgisayarın özelliği bilinmeden sürücüler çalışmaz diyemeyiz. Çözüm sistematiğine hiç uygun değil. kaldı ki linux kernel sayfasından yeni çekirdeklerin hangi kısımlarının değiştiği hangi sürücülere destek verdiği hepsi yazar.

Pardus güvenli ve sorun çıkarmayan çekirdekle uzun süre update yapmadan güvenli bir şekilde çalışan bir sistem. Dolayısıyla programlarda genelde stabil güvenlik sorunları olmayan eski versiyonlar kullanılıyor. Vbox 6.1 güncel sürümü varken 6.0 versiyonu kullanılıyor gibi… Zaten debian da aynı şekilde fresh sistem yerine stabil sistem kullanmaktadır. isterseniz güncel test sürüm deposunu ekleyerek güncel programları kurabilirsiniz.

Merhaba, birde bunu deneyin…
Virtualbox’ı kaldırıp yeniden yükleyiniz. Aşağıdaki komutların çalıştırılmasını isteyebilir;

sudo apt-get install gcc make
sudo apt-get install -y dkms build-essential linux-headers-$(uname -r)
sudo /sbin/vboxconfig

Hepsi kurulu zaten şu anda